%define luaver  5.2
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}
%define oname   luafilesystem

%define realver 1_6_2

Name:           lua-filesystem
Version:        %(echo %{realver} | tr '_' '.')
Release:        %mkrel 4
Summary:        FileSystem library for the Lua programming language

Group:          Development/Other
License:        MIT
URL:            http://keplerproject.github.io/luafilesystem
Source0:        https://github.com/keplerproject/luafilesystem/archive/v%{realver}.tar.gz

BuildRequires:  pkgconfig(lua) >= %{luaver}
Requires:       lua >= %{luaver}

%description
LuaFileSystem is a Lua library developed to complement the set of functions
related to file systems offered by the standard Lua distribution.
It offers a portable way to access the underlying directory structure
and file attributes.

%prep
%setup -q -n %{oname}-%{realver}

%build
%make

%install
%makeinstall_std \
    PREFIX=%{buildroot}%{_prefix} \
    LUA_LIBDIR=%{buildroot}%{lualibdir} \
    LUA_DIR=%{buildroot}%{luapkgdir}

%files
%doc README doc/us/*
%{lualibdir}/lfs.so


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.6.2-4.mga6
+ Revision: 936385
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-3.mga5
+ Revision: 748464
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-2.mga5
+ Revision: 682027
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 1.6.2-1.mga5
+ Revision: 661482
- Version 1.6.2

* Fri Oct 18 2013 umeabot <umeabot> 1.5.0-2.20120408.3.mga4
+ Revision: 507575
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.5.0-2.20120408.2.mga3
+ Revision: 359057
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 fwang <fwang> 1.5.0-2.20120408.1.mga3
+ Revision: 253756
- update to latest code of upstream
- rebuild for lua 5.2

* Fri Apr 15 2011 shikamaru <shikamaru> 1.5.0-1.mga1
+ Revision: 85984
- New version 1.5.0

* Sun Mar 13 2011 shikamaru <shikamaru> 1.4.2-3.mga1
+ Revision: 70288
- imported package lua-filesystem


* Sat Mar 12 2011 Rémy Clouard <shikamaru@mandriva.org> 1.4.2-3.mga1
- clean spec (buildroot)

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-2mdv2011.0
+ Revision: 612780
- the mass rebuild of 2010.1 packages

* Mon Feb 01 2010 Rémy Clouard <shikamaru@mandriva.org> 1.4.2-1mdv2010.1
+ Revision: 499354
- update to 1.4.2

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.4.1-2mdv2010.0
+ Revision: 439633
- rebuild

* Sun Dec 28 2008 Jérôme Soyer <saispo@mandriva.org> 1.4.1-1mdv2009.1
+ Revision: 320577
- import lua-filesystem


